package com.ywt.mg.domain.models.enums;

public enum AccountStatusEnum {
    Normal("正常", 0),
    Locked("锁定", 1);

    private final String displayName;

    private final int value;

    AccountStatusEnum(String displayName, int value){
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }


    public static AccountStatusEnum valueOf (int value){
        switch (value) {
            case 0 :
                return Normal;
            case 1:
                return Locked;
            default:
                return Normal;
        }
    }
}
